Package org.lwjgl.opengl

# Class NVVideoCapture

java.lang.Object
org.lwjgl.opengl.NVVideoCapture

public final class NVVideoCapture extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FAILURE_NV`
Returned by VideoCaptureNV and GetVideoCaptureStream{i,f,d}vNV when <pname> is LAST_VIDEO_CAPTURE_STATUS_NV:
`static final int`
`GL_FIELD_LOWER_NV`
Accepted by the <frame_region> parameter of BindVideoCaptureStreamBufferNV, and BindVideoCaptureStreamTextureNV:
`static final int`
`GL_FIELD_UPPER_NV`
Accepted by the <frame_region> parameter of BindVideoCaptureStreamBufferNV, and BindVideoCaptureStreamTextureNV:
`static final int`
`GL_LAST_VIDEO_CAPTURE_STATUS_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:
`static final int`
`GL_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV`
Accepted by the <pname> parameter of GetVideoCaptureivNV:
`static final int`
`GL_NUM_VIDEO_CAPTURE_SLOTS_NV`
Accepted by the <attribute> parameter of NVPresentVideoUtil.glQueryContextNV:
`static final int`
`GL_NUM_VIDEO_CAPTURE_STREAMS_NV`
Accepted by the <pname> parameter of GetVideoCaptureivNV:
`static final int`
`GL_PARTIAL_SUCCESS_NV`
Returned by VideoCaptureNV:
`static final int`
`GL_SUCCESS_NV`
Returned by VideoCaptureNV and GetVideoCaptureStream{i,f,d}vNV when <pname> is LAST_VIDEO_CAPTURE_STATUS_NV:
`static final int`
`GL_UNIQUE_ID_NV`
Accepted by the <attribute> parameter of glQueryVideoCaptureDeviceNV:
`static final int`
`GL_VIDEO_BUFFER_BINDING_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VIDEO_BUFFER_INTERNAL_FORMAT_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:
`static final int`
`GL_VIDEO_BUFFER_NV`
Accepted by the <target> parameters of BindBufferARB, BufferDataARB, BufferSubDataARB, MapBufferARB, UnmapBufferARB, GetBufferSubDataARB, GetBufferParameterivARB, and GetBufferPointervARB:
`static final int`
`GL_VIDEO_BUFFER_PITCH_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:
`static final int`
`GL_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:
`static final int`
`GL_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:
`static final int`
`GL_VIDEO_CAPTURE_FRAME_HEIGHT_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:
`static final int`
`GL_VIDEO_CAPTURE_FRAME_WIDTH_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:
`static final int`
`GL_VIDEO_CAPTURE_SURFACE_ORIGIN_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:
`static final int`
`GL_VIDEO_CAPTURE_TO_422_SUPPORTED_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:
`static final int`
`GL_VIDEO_COLOR_CONVERSION_MATRIX_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:
`static final int`
`GL_VIDEO_COLOR_CONVERSION_MAX_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:
`static final int`
`GL_VIDEO_COLOR_CONVERSION_MIN_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:
`static final int`
`GL_VIDEO_COLOR_CONVERSION_OFFSET_NV`
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:
`static final int`
`GL_YCBAYCR8A_4224_NV`
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:
`static final int`
`GL_YCBYCR8_422_NV`
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:
`static final int`
`GL_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV`
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:
`static final int`
`GL_Z4Y12Z4CB12Z4CR12_444_NV`
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:
`static final int`
`GL_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV`
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:
`static final int`
`GL_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV`
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:
`static final int`
`GL_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV`
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBeginVideoCaptureNV(int video_capture_slot)`
`static void`
`glBindVideoCaptureStreamBufferNV(int video_capture_slot, int stream, int frame_region, long offset)`
`static void`
`glBindVideoCaptureStreamTextureNV(int video_capture_slot, int stream, int frame_region, int target, int texture)`
`static void`
`glEndVideoCaptureNV(int video_capture_slot)`
`static int`
`glGetVideoCaptureiNV(int video_capture_slot, int pname)`
Overloads glGetVideoCaptureivNV.
`static void`
`glGetVideoCaptureNV(int video_capture_slot, int pname, IntBuffer params)`
`static double`
`glGetVideoCaptureStreamdNV(int video_capture_slot, int stream, int pname)`
Overloads glGetVideoCaptureStreamdvNV.
`static float`
`glGetVideoCaptureStreamfNV(int video_capture_slot, int stream, int pname)`
Overloads glGetVideoCaptureStreamfvNV.
`static int`
`glGetVideoCaptureStreamiNV(int video_capture_slot, int stream, int pname)`
Overloads glGetVideoCaptureStreamivNV.
`static void`
`glGetVideoCaptureStreamNV(int video_capture_slot, int stream, int pname, DoubleBuffer params)`
`static void`
`glGetVideoCaptureStreamNV(int video_capture_slot, int stream, int pname, FloatBuffer params)`
`static void`
`glGetVideoCaptureStreamNV(int video_capture_slot, int stream, int pname, IntBuffer params)`
`static int`
`glVideoCaptureNV(int video_capture_slot, IntBuffer sequence_num, LongBuffer capture_time)`
`static void`
`glVideoCaptureStreamParameterNV(int video_capture_slot, int stream, int pname, DoubleBuffer params)`
`static void`
`glVideoCaptureStreamParameterNV(int video_capture_slot, int stream, int pname, FloatBuffer params)`
`static void`
`glVideoCaptureStreamParameterNV(int video_capture_slot, int stream, int pname, IntBuffer params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VIDEO_BUFFER_NV

public static final int GL_VIDEO_BUFFER_NV
Accepted by the <target> parameters of BindBufferARB, BufferDataARB, BufferSubDataARB, MapBufferARB, UnmapBufferARB, GetBufferSubDataARB, GetBufferParameterivARB, and GetBufferPointervARB:

See Also:
  - Constant Field Values

### GL_VIDEO_BUFFER_BINDING_NV

public static final int GL_VIDEO_BUFFER_BINDING_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_FIELD_UPPER_NV

public static final int GL_FIELD_UPPER_NV
Accepted by the <frame_region> parameter of BindVideoCaptureStreamBufferNV, and BindVideoCaptureStreamTextureNV:

See Also:
  - Constant Field Values

### GL_FIELD_LOWER_NV

public static final int GL_FIELD_LOWER_NV
Accepted by the <frame_region> parameter of BindVideoCaptureStreamBufferNV, and BindVideoCaptureStreamTextureNV:

See Also:
  - Constant Field Values

### GL_NUM_VIDEO_CAPTURE_STREAMS_NV

public static final int GL_NUM_VIDEO_CAPTURE_STREAMS_NV
Accepted by the <pname> parameter of GetVideoCaptureivNV:

See Also:
  - Constant Field Values

### GL_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV

public static final int GL_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV
Accepted by the <pname> parameter of GetVideoCaptureivNV:

See Also:
  - Constant Field Values

### GL_LAST_VIDEO_CAPTURE_STATUS_NV

public static final int GL_LAST_VIDEO_CAPTURE_STATUS_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_BUFFER_PITCH_NV

public static final int GL_VIDEO_BUFFER_PITCH_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_CAPTURE_FRAME_WIDTH_NV

public static final int GL_VIDEO_CAPTURE_FRAME_WIDTH_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_CAPTURE_FRAME_HEIGHT_NV

public static final int GL_VIDEO_CAPTURE_FRAME_HEIGHT_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV

public static final int GL_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV

public static final int GL_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_CAPTURE_TO_422_SUPPORTED_NV

public static final int GL_VIDEO_CAPTURE_TO_422_SUPPORTED_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_COLOR_CONVERSION_MATRIX_NV

public static final int GL_VIDEO_COLOR_CONVERSION_MATRIX_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_COLOR_CONVERSION_MAX_NV

public static final int GL_VIDEO_COLOR_CONVERSION_MAX_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_COLOR_CONVERSION_MIN_NV

public static final int GL_VIDEO_COLOR_CONVERSION_MIN_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_COLOR_CONVERSION_OFFSET_NV

public static final int GL_VIDEO_COLOR_CONVERSION_OFFSET_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_BUFFER_INTERNAL_FORMAT_NV

public static final int GL_VIDEO_BUFFER_INTERNAL_FORMAT_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_VIDEO_CAPTURE_SURFACE_ORIGIN_NV

public static final int GL_VIDEO_CAPTURE_SURFACE_ORIGIN_NV
Accepted by the <pname> parameter of GetVideoCaptureStream{i,f,d}vNV and as the <pname> parameter of VideoCaptureStreamParameter{i,f,d}vNV:

See Also:
  - Constant Field Values

### GL_PARTIAL_SUCCESS_NV

public static final int GL_PARTIAL_SUCCESS_NV
Returned by VideoCaptureNV:

See Also:
  - Constant Field Values

### GL_SUCCESS_NV

public static final int GL_SUCCESS_NV
Returned by VideoCaptureNV and GetVideoCaptureStream{i,f,d}vNV when <pname> is LAST_VIDEO_CAPTURE_STATUS_NV:

See Also:
  - Constant Field Values

### GL_FAILURE_NV

public static final int GL_FAILURE_NV
Returned by VideoCaptureNV and GetVideoCaptureStream{i,f,d}vNV when <pname> is LAST_VIDEO_CAPTURE_STATUS_NV:

See Also:
  - Constant Field Values

### GL_YCBYCR8_422_NV

public static final int GL_YCBYCR8_422_NV
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:

See Also:
  - Constant Field Values

### GL_YCBAYCR8A_4224_NV

public static final int GL_YCBAYCR8A_4224_NV
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:

See Also:
  - Constant Field Values

### GL_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV

public static final int GL_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:

See Also:
  - Constant Field Values

### GL_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV

public static final int GL_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:

See Also:
  - Constant Field Values

### GL_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV

public static final int GL_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:

See Also:
  - Constant Field Values

### GL_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV

public static final int GL_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:

See Also:
  - Constant Field Values

### GL_Z4Y12Z4CB12Z4CR12_444_NV

public static final int GL_Z4Y12Z4CB12Z4CR12_444_NV
Accepted in the <params> parameter of VideoCaptureStreamParameter{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV and returned by GetVideoCaptureStream{i,f,d}vNV when <pname> is VIDEO_BUFFER_INTERNAL_FORMAT_NV:

See Also:
  - Constant Field Values

### GL_NUM_VIDEO_CAPTURE_SLOTS_NV

public static final int GL_NUM_VIDEO_CAPTURE_SLOTS_NV
Accepted by the <attribute> parameter of NVPresentVideoUtil.glQueryContextNV:

See Also:
  - Constant Field Values

### GL_UNIQUE_ID_NV

public static final int GL_UNIQUE_ID_NV
Accepted by the <attribute> parameter of glQueryVideoCaptureDeviceNV:

See Also:
  - Constant Field Values

## Method Details

### glBeginVideoCaptureNV

public static void glBeginVideoCaptureNV(int video_capture_slot)

### glBindVideoCaptureStreamBufferNV

public static void glBindVideoCaptureStreamBufferNV(int video_capture_slot, int stream, int frame_region, long offset)

### glBindVideoCaptureStreamTextureNV

public static void glBindVideoCaptureStreamTextureNV(int video_capture_slot, int stream, int frame_region, int target, int texture)

### glEndVideoCaptureNV

public static void glEndVideoCaptureNV(int video_capture_slot)

### glGetVideoCaptureNV

public static void glGetVideoCaptureNV(int video_capture_slot, int pname, IntBuffer params)

### glGetVideoCaptureiNV

public static int glGetVideoCaptureiNV(int video_capture_slot, int pname)
Overloads glGetVideoCaptureivNV.

### glGetVideoCaptureStreamNV

public static void glGetVideoCaptureStreamNV(int video_capture_slot, int stream, int pname, IntBuffer params)

### glGetVideoCaptureStreamiNV

public static int glGetVideoCaptureStreamiNV(int video_capture_slot, int stream, int pname)
Overloads glGetVideoCaptureStreamivNV.

### glGetVideoCaptureStreamNV

public static void glGetVideoCaptureStreamNV(int video_capture_slot, int stream, int pname, FloatBuffer params)

### glGetVideoCaptureStreamfNV

public static float glGetVideoCaptureStreamfNV(int video_capture_slot, int stream, int pname)
Overloads glGetVideoCaptureStreamfvNV.

### glGetVideoCaptureStreamNV

public static void glGetVideoCaptureStreamNV(int video_capture_slot, int stream, int pname, DoubleBuffer params)

### glGetVideoCaptureStreamdNV

public static double glGetVideoCaptureStreamdNV(int video_capture_slot, int stream, int pname)
Overloads glGetVideoCaptureStreamdvNV.

### glVideoCaptureNV

public static int glVideoCaptureNV(int video_capture_slot, IntBuffer sequence_num, LongBuffer capture_time)

### glVideoCaptureStreamParameterNV

public static void glVideoCaptureStreamParameterNV(int video_capture_slot, int stream, int pname, IntBuffer params)

### glVideoCaptureStreamParameterNV

public static void glVideoCaptureStreamParameterNV(int video_capture_slot, int stream, int pname, FloatBuffer params)

### glVideoCaptureStreamParameterNV

public static void glVideoCaptureStreamParameterNV(int video_capture_slot, int stream, int pname, DoubleBuffer params)